Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884249 - It's possible to create 2 VMs with the same MAC address on NIC when performing import VM
Summary: It's possible to create 2 VMs with the same MAC address on NIC when performin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.1.1
Assignee: Muli Salem
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 17:44 UTC by Idith Tal-Kohen
Modified: 2016-02-10 19:52 UTC (History)
14 users (show)

Fixed In Version: SI25
Doc Type: Bug Fix
Doc Text:
Clone Of: 872100
Environment:
Last Closed: 2013-02-05 19:40:51 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)

Description Idith Tal-Kohen 2012-12-05 17:44:16 UTC
+++ This bug was initially created as a clone of Bug #872100 +++

Created attachment 636484 [details]
engine log

Description of problem:
When performing import VM (with specific MAC on its NIC) and there is another VM with the same MAC on its NIC, the action of import succeeds even though on the engine you get an error message:"Try to add duplicate values with same name. Type: UNASSIGNED. Value: vmname"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create VM1 with MAC "AA"
2. Export VM1
3. Delete VM1 and create VM2 with the same MAC "AA"
4. Import VM1
  
Actual results:
The operation of import succeeds and the MAC "AA" is shown on both VMs

Expected results:
Operation should fail or the user should be asked to reconfigure the MAC when importing VM


Additional info:
 Try to add duplicate values with same name. Type: UNASSIGNED. Value: vmname

--- Additional comment from Simon Grinberg on 2012-11-01 11:08:49 EDT ---

What is the value of the allow duplicate MAC configuration? 

1. If it's disabled - operation must fail
2. If it's enabled then we must have popup suggesting to replace or confirm using the dup.

--- Additional comment from lpeer on 2012-11-04 03:55:38 EST ---

(In reply to comment #1)
> What is the value of the allow duplicate MAC configuration? 
> 
> 1. If it's disabled - operation must fail
> 2. If it's enabled then we must have popup suggesting to replace or confirm
> using the dup.

Simon, the fix you are describing here is the RFE covered by Bug 624655.
This bug is about failing the import in case duplicate mac is disabled.

--- Additional comment from Muli Salem on 2012-11-11 04:26:05 EST ---

Proposed fix in:

http://gerrit.ovirt.org/#/c/9144/

Comment 3 Meni Yakove 2012-12-11 10:47:57 UTC
Verified on SI25
Failed to import VM with the same MAC as existing VM.
Get error on event log.


Note You need to log in before you can comment on or make changes to this bug.